package common

import (
	"encoding/json"
	"log"
	"os"
)

type Word struct {
	Word        string `json:"word"`
	Description string `json:"description"`
}

type Words struct {
	Words []Word `json:"words"`
}

func ReadDB() Words {
	data, err := os.ReadFile("./common/db.json")
	if err != nil {
		log.Fatal(err)
	}

	var storage Words
	err = json.Unmarshal(data, &storage)
	if err != nil {
		log.Fatal(err)
	}

	return storage
}
